Skip to content

Retrieve a server from a project

Request

OPA roles:
  • resource_admin
  • delegated_resource_admin

Retrieves a server from a project in a resource group

Security
bearerAuth
Path
team_namestringrequired

The name of your team

resource_group_idstringrequired

The UUID of a resource group

project_idstringrequired

The UUID of a project

server_idstringrequired

The UUID of an enrolled server

curl -i -X GET \
  'https://{org_name}.pam.okta.com/v1/teams/{team_name}/resource_groups/{resource_group_id}/projects/{project_id}/servers/{server_id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
access_addressstringread-onlyrequired

The access address of the server

alt_namesArray of stringsread-onlyrequired

(Optional) Alternative names for the server

bastionstring, [ 1 .. 255 ] charactersread-onlyrequired

The bastion host that clients automatically use when connecting to this host

broker_host_certsArray of stringsread-only

The broker host certificates list

canonical_namestring, [ 1 .. 255 ] charactersread-onlyrequired

The name that clients should use when connecting to this server. Overrides the name found with hostname.

cloud_providerstring or null, [ 1 .. 255 ] characters(CloudProviderType)read-only

If available, the name of cloud provider used by the gateway

Enum:"aws""azure""gce"
deleted_atstring, (date-time)read-onlyrequired

A timestamp indicating when the server was deleted from the project

hostnamestring, [ 1 .. 255 ] charactersread-onlyrequired

The hostname of the server

idstring, (regex)^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-...read-onlyrequired

The UUID of the server

instance_detailsany
instance_idstring, (regex)^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-...read-only

The UUID of the instance

labelsobjectrequired

The labels for this server. Used by the PolicySync feature, see PolicySync: Attribute-Based Access Control.

last_seenstring, (date-time)read-onlyrequired

A timestamp indicating when the server was last seen

managedbooleanread-onlyrequired

If true, the server is managed by the OPA server agent (sftd)

osstring, [ 1 .. 255 ] charactersread-onlyrequired

The OS version of the server, such as CentOS 6 or Debian 9.13

os_typestring, [ 1 .. 255 ] charactersread-onlyrequired

The OS family of the server. Possible values: linux or windows.

project_idstring^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-...read-only

The UUID of the project where the server is enrolled

project_namestring, [ 1 .. 255 ] charactersread-onlyrequired

The name of the project where the server is enrolled

registered_atstring, (date-time)read-onlyrequired

The timestamp when the server was enrolled in the project

servicesArray of stringsread-onlyrequired

The service that clients use to connect to the server. Possible values: ssh or rdp.

sftd_versionstring, [ 1 .. 255 ] charactersread-onlyrequired

The OPA server agent (sftd) version on the server

ssh_host_keysArray of stringsread-onlyrequired

The host keys used to authenticate the server

statestring, [ 1 .. 255 ] charactersread-onlyrequired

The state of the server. Possible values: ACTIVE or INACTIVE.

team_namestring, (regex), [ 1 .. 255 ] characters^[\w\-_.]+$read-onlyrequired

The name of the associated team

Response
{ "access_address": "string", "alt_names": [ "string" ], "bastion": "string", "broker_host_certs": [ "string" ], "canonical_name": "string", "cloud_provider": "aws", "deleted_at": "2019-08-24T14:15:22Z", "hostname": "string", "id": "/regex/", "instance_details": { "account_id": "string", "availability_zone": "string", "instance_id": "string", "instance_type": "string", "networks": [ … ], "public_ip_v4": "string", "_type": "aws" }, "instance_id": "/regex/", "labels": { "property1": "string", "property2": "string" }, "last_seen": "2019-08-24T14:15:22Z", "managed": true, "os": "string", "os_type": "string", "project_id": "string", "project_name": "string", "registered_at": "2019-08-24T14:15:22Z", "services": [ "string" ], "sftd_version": "string", "ssh_host_keys": [ "string" ], "state": "string", "team_name": "/regex/" }